import 'package:aitrainer_app/model/exercise.dart';

abstract class GroupData {
  void iteration();

  bool checkNewType(Exercise exercise);

  void addTempData(Exercise element);

  void temp2Output(Exercise exercise);

  void resetTemp();
}

class DiagramData {
  final String x;
  final double? y;
  DiagramData(this.x, this.y);

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {"x": this.x, "y": this.y};
    return json;
  }

  String toString() => this.toJson().toString();
}
